GET
/schedules
http://databrew.{region}.amazonaws.com/schedulesLists the DataBrew schedules that are defined.
Access Token Required: API Key
Query Params
jobNamestring
The name of the job that these schedules apply to.
maxResultsinteger
The maximum number of results to return in this request.
nextTokenstring
The token returned by a previous call to retrieve the next set of results.
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://databrew.{region}.amazonaws.com/schedules' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}